Skip to main content
POST
Add Patient to Directory

Headers

auth
string
required

The auth token of business_id. It is used to authenticate the business. The token can be fetched from the auth api.

Body

application/json

Request body for adding a patient to the directory

dob
string<date>
required

Date of birth of the patient (YYYY-MM-DD)

Example:

"1987-01-06"

first_name
string
required

First name of the patient

Example:

"Test"

gender
enum<string>
required

Gender of the patient (e.g., 'M' for male, 'F' for female, 'O' for others)

Available options:
M,
F,
O
Example:

"M"

designation
enum<string>

Title or designation of the patient

Available options:
Mr.,
Ms.,
Mrs.,
Miss.,
Kumar.,
Shri.,
Smt.,
Dr.,
Master.,
Baby.,
Mohd.,
B/O
Example:

"Mr."

partner_patient_id
string

Identifier for the partner’s patient.

Example:

"6742984"

middle_name
string

Middle name of the patient (if any)

Example:

""

last_name
string

Last name of the patient

Example:

"Patient"

mobile
string

Mobile number of the patient, including country code

Example:

"+919999999999"

address
object

Address details of the patient

Response

OK

patient_id
string
Example:

"123456789"